System requirements and compatibility

Requirements

  • This version of Citrix Receiver for Windows requires a minimum of 500MB free disk space and 1GB RAM.
  • .NET Framework minimum requirements
    • NET 3.5 Service Pack 1 is required by the Self-Service plug-in, which allows users to subscribe to and launch desktops and applications from the Receiver user interface or from a command line. For more information, see Configure and install Receiver for Windows using command-line parameters.
    • The .NET 2.0 Service Pack 1 and Microsoft Visual C++ 2008 Service Pack 1 Redistributable Package are required.

Compatibility matrix

Citrix Receiver for Windows Version 4.9 is compatible with the following Windows operating systems and web browsers. It is also compatible with all currently supported versions of XenApp, XenDesktop, and NetScaler Gateway as listed in the Citrix Product Lifecycle Matrix.

Note

The NetScaler Gateway End Point Analysis Plug-in (EPA) does not support native Citrix Receiver for Windows.

Operating system Browser
Windows 10 [1] Internet Explorer
Windows 8.1, 32-bit and 64-bit editions (including Embedded edition) Latest Google Chrome (requires StoreFront)
Windows 7, 32-bit and 64-bit editions (including Embedded edition) Latest Mozilla Firefox
Windows Thin PC Microsoft Edge
Windows Server 2016  
Windows Server 2012 R2, Standard and Datacenter editions  
Windows Server 2012, Standard and Datacenter editions  
Windows Server 2008 R2, 64-bit edition  

[1] Supports Windows 10 Anniversary Update, Creators Update, Falls Creators Update, and April 2018 Update.

Note

  • April 2018 Update is supported only on Receiver for Windows Version 4.9 CU3 and later.
  • Falls Creators Update is supported only on Receiver for Windows Version 4.9 CU1 and CU2. Receiver for Windows Version 4.9 does not support it.

Supportability matrix

Operating systems supported on touch-enabled devices Operating systems supported on VDAs
Windows 10 Windows 10
Windows 8 Windows 8
Windows 7 Windows 7
  Windows 2012 R2
  Windows Server 2016
  Windows Server 2008 R2

System requirements and compatibility